
import redis
import random

def random_key_generation(prefix, length=10):
    """
    Generate a random key with a given prefix and length using Redis.
    """
    r = redis.Redis(host='localhost', port=6379, db=0)
    unique_key = f"{prefix}:{random.randint(1000000, 99999999)}"
    r.set(unique_key, 'test')
    return unique_key



